Subject: Re: Why require CONFIG_BOOTX_TEXT for so much of offb?

From: Peter Bergner <[email-masked]>
Date: Thu, 13 Dec 2001 10:58:09 -0600

Tom Rini wrote:
: BOOTX_TEXT != BootX now tho.  It's for writing on the screen early on.
: Perhaps some name changing, define moving and a new header for ppc64?

That doesn't seem to be used for prom_prints(), so what early screen
prints would these be?  If ppc64 can make use of them, then some
"name changing, define moving and a new header for ppc64" would be the
right thing.  If not, then just replacing the #ifdef CONFIG_BOOTX_TEXT
with #ifndef CONFIG_PPC64 would seem to be the right decision.
The later would fix the compile problem for ppc64 and things would
be back to the way they used to work for ppc32.

Peter

** Sent via the linuxppc-dev mail list. See http://lists.linuxppc.org/